libabw::ABWXMLProgressWatcher Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWXMLProgressWatcher Class Reference

`#include <ABWXMLHelper.h>`

## Public Member Functions
| ABWXMLProgressWatcher ()
void | setReader (xmlTextReaderPtr reader)
bool | isStuck () const
void | signalError ()

## Private Member Functions
| ABWXMLProgressWatcher (const ABWXMLProgressWatcher &)=delete
ABWXMLProgressWatcher & | operator= (const ABWXMLProgressWatcher &)=delete

## Private Attributes
xmlTextReaderPtr | m_reader
int | m_line
int | m_col
bool | m_wasError
bool | m_isStuck

## Constructor & Destructor Documentation

## ◆ ABWXMLProgressWatcher() [1/2]

libabw::ABWXMLProgressWatcher::ABWXMLProgressWatcher | ( | const ABWXMLProgressWatcher & |  | ) |
| privatedelete

## ◆ ABWXMLProgressWatcher() [2/2]

libabw::ABWXMLProgressWatcher::ABWXMLProgressWatcher | ( |  | ) |

## Member Function Documentation

## ◆ isStuck()

bool libabw::ABWXMLProgressWatcher::isStuck | ( |  | ) | const

Referenced by libabw::ABWParser::processXmlDocument().

## ◆ operator=()

ABWXMLProgressWatcher & libabw::ABWXMLProgressWatcher::operator= | ( | const ABWXMLProgressWatcher & |  | ) |
| privatedelete

## ◆ setReader()

void libabw::ABWXMLProgressWatcher::setReader | ( | xmlTextReaderPtr | reader | ) |

Referenced by libabw::xmlReaderForStream().

## ◆ signalError()

void libabw::ABWXMLProgressWatcher::signalError | ( |  | ) |

## Member Data Documentation

## ◆ m_col

int libabw::ABWXMLProgressWatcher::m_col
| private

Referenced by signalError().

## ◆ m_isStuck

bool libabw::ABWXMLProgressWatcher::m_isStuck
| private

Referenced by isStuck(), and signalError().

## ◆ m_line

int libabw::ABWXMLProgressWatcher::m_line
| private

Referenced by signalError().

## ◆ m_reader

xmlTextReaderPtr libabw::ABWXMLProgressWatcher::m_reader
| private

Referenced by setReader(), and signalError().

## ◆ m_wasError

bool libabw::ABWXMLProgressWatcher::m_wasError
| private

Referenced by signalError().

The documentation for this class was generated from the following files:

- ABWXMLHelper.h
- ABWXMLHelper.cpp